﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}
table.dataTable tbody th, table.dataTable tbody td {
    vertical-align: middle !important;
}

.form-group .error {
    color: red !important;
    margin-bottom: 0 !important;
}


table.dataTable > thead .sorting::before,
table.dataTable > thead .sorting_asc::before,
table.dataTable > thead .sorting_desc::before,
table.dataTable > thead .sorting_asc_disabled::before,
table.dataTable > thead .sorting_desc_disabled::before {
    right: 0;
    content: "";
}

table.dataTable > thead .sorting::after,
table.dataTable > thead .sorting_asc::after,
table.dataTable > thead .sorting_desc::after,
table.dataTable > thead .sorting_asc_disabled::after,
table.dataTable > thead .sorting_desc_disabled::after {
    right: 0;
    content: "";
}

table.dataTable > thead > tr > th:not(.sorting_disabled),
table.dataTable > thead > tr > td:not(.sorting_disabled) {
    padding-right: 4px;
    padding-left: 4px;
}

table.dataTable > thead > tr > th,
table.dataTable > thead > tr > td {
    padding-right: 4px;
    padding-left: 4px;
}
div.table-responsive > div.dataTables_wrapper > div.row{
    margin-top:15px !important;
}
.widget-user .widget-user-image {
    position: absolute;
    top: 150px;
    inset-inline-start: 50%;
    margin-inline-start: -55px;
}

.widget-user .widget-user-header {
    padding: 20px;
    height: 235px;
}

.widget-user .widget-user-image > img {
    width: 120px;
    height: auto;
    border: 3px solid #fff;
}

.main-logo-icard {
    
    align-items: center;
    position: relative;
    height: 2rem;
    margin: 0 auto;
    justify-content: center;
    text-align: center;
}

.datepicker {
    z-index: 100000 !important; /* Or a higher value than your modal's z-index */
}
.select2-container--default.select2-container--disabled .select2-selection--single {
    background-color: #f8f8f8 !important;
}

.form-control:disabled,
.form-control[readonly] {
    background-color: #f8f8f8 !important; 
}

.sentence-case {
    text-transform: lowercase;
}

.sentence-case::first-letter {
    text-transform: capitalize;
}

.pdf-container {
    border: none; /*1px solid #ccc;*/
    width: 100%;
    height:600px; /* Adjust height as needed */
}

.pdf-iframe {
    width: 100%;
    height: 100%;
    border: none;
}